Subject: Re: [PATCH 2.6.10-rc3][PPC32] Fix Motorola PReP (PowerstackII Utah) PCI IRQ map

From: Sebastian Heutling <[email-masked]>
Date: Tue, 22 Feb 2005 13:01:22 +0100

Meelis Roos wrote:

>> The PCI IRQ map for the old Motorola PowerStackII (Utah) boards was
>> incorrect, but this breakage wasn't exposed until 2.5, and finally fixed
>> until recently by Sebastian Heutling <[email-masked]>.
>
>
> Yesterday I finally got around to testing it. It seems the patch has 
> been applied in Linus's tree so I downloaded the latest BK and tried it.
>
> Still does not work for me but this time it's different. Before the 
> patch SCSI worked fine but PCI NICs caused hangs. Now I can't test PCI 
> NICs because even the onboard 53c825 SCSI hangs - seems it gets no 
> interrupts.
>
> It detects the HBA, tries device discovery, gets a timeout, ABORT, 
> timeout, TARGET RESET, timeout, BUS RESET, timeout, HOST RESET and 
> there it hangs.
>
> Does it work for anyone else on Powerstack II Pro4000 (Utah)?
>
It does work in 2.6.8 using backported patches (e.g. the debian 2.6.8 
kernel). But it doesn't work above that version because of other patches 
in arch/ppc/platforms/prep_pci.c and arch/ppc/platforms/prep_setup.c 
(made by Tom Rini?). I couldn't find out what exactly is causing this 
problem yet (because lack of time and the fact that my Powerstack is 
used as a router).

Basti